com.jogamp.opengl.util.texture.spi

## Class JPEGImage

- java.lang.Object
- - com.jogamp.opengl.util.texture.spi.JPEGImage

-     public class JPEGImage
      extends Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBytesPerPixel()` Returns the bytes per pixel
    `TextureData.ColorSpace` | `getColorSpace()` Returns the color space of the pixel data
    `int` | `getComponentCount()` Returns the number of components of the pixel data
    `ByteBuffer` | `getData()` Returns the raw data for this texture in the correct (bottom-to-top) order for calls to glTexImage2D.
    `int` | `getGLFormat()` Returns the OpenGL format for this texture; e.g.
    `int` | `getGLType()` Returns the OpenGL data type: GL.GL_UNSIGNED_BYTE.
    `boolean` | `getHasReversedChannels()` Returns true if data has the channels reversed to BGR or BGRA, otherwise RGB or RGBA is expected.
    `int` | `getHeight()` Returns the height of the image.
    `int` | `getWidth()` Returns the width of the image.
    `static JPEGImage` | `read(InputStream in)` Reads a JPEG image from the specified InputStream, using the `TextureData.ColorSpace.RGB`.
    `static JPEGImage` | `read(InputStream in, TextureData.ColorSpace cs)` Reads a JPEG image from the specified InputStream, using the given color space for storage.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### read

          public static JPEGImage read(InputStream in,
                       TextureData.ColorSpace cs)
                                throws IOException

      Reads a JPEG image from the specified InputStream, using the given color space for storage.
      Parameters:
        `in` -
        `cs` - Storage color space, either `TextureData.ColorSpace.RGB` or `TextureData.ColorSpace.YCbCr`. `TextureData.ColorSpace.YCCK` and `TextureData.ColorSpace.CMYK` will throw an exception!
      Returns:
      Throws:
        `IOException`

    - #### read

          public static JPEGImage read(InputStream in)
                                throws IOException

      Reads a JPEG image from the specified InputStream, using the `TextureData.ColorSpace.RGB`.
      Throws:
        `IOException`

    - #### getColorSpace

          public TextureData.ColorSpace getColorSpace()

      Returns the color space of the pixel data

    - #### getComponentCount

          public int getComponentCount()

      Returns the number of components of the pixel data

    - #### getWidth

          public int getWidth()

      Returns the width of the image.

    - #### getHeight

          public int getHeight()

      Returns the height of the image.

    - #### getHasReversedChannels

          public boolean getHasReversedChannels()

      Returns true if data has the channels reversed to BGR or BGRA, otherwise RGB or RGBA is expected.

    - #### getGLFormat

          public int getGLFormat()

      Returns the OpenGL format for this texture; e.g. GL.GL_LUMINANCE, GL.GL_RGB or GL.GL_RGBA.

    - #### getGLType

          public int getGLType()

      Returns the OpenGL data type: GL.GL_UNSIGNED_BYTE.

    - #### getBytesPerPixel

          public int getBytesPerPixel()

      Returns the bytes per pixel

    - #### getData

          public ByteBuffer getData()

      Returns the raw data for this texture in the correct (bottom-to-top) order for calls to glTexImage2D.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright 2010 JogAmp Community.